<?php
/**
 * Category Classes Extension
 * File: functions.inc.php, php file
 *
 * @author Niels Baumbach <niels.baumbach@kreativkonzentrat.de>
 * @copyright 2011, ShopSEO.de
 * @link http://www.shopseo.de
 * @version 1.0
 *-------------------------------------------------------------------------------
*/

// replaces umlauts etc. from a string
//    used to format category css classes
function getCleanString($str)
{
	$ret = strtolower($str);
	$ret = str_replace(array("","","",""), array("ue","ae","oe","ss"), $ret);
	$ret = str_replace(" & ", "", $ret);
	$ret = str_replace("&", "", $ret);
	$ret = str_replace(" ", "-", $ret);
	return $ret;
}

function writeCatClassesNavi($elem)
{
	$name = utf8_decode(pq($elem)->find(">a>span")->text());
	pq($elem)->addClass(utf8_encode(getCleanString($name)));
	
	// subcat recursive
	$sub = pq($elem)->find("> ul.subcat > li");
	if(isset($sub) && $sub != null && $sub!= "")
	{
		foreach(pq($sub) as $subEntry)
			writeCatClassesNavi($subEntry);
	}
}

?>