<?php
/**
 * Category Classes Extension
 * File: write_classes.php, php file
 *
 * @author Niels Baumbach <niels.baumbach@kreativkonzentrat.de>
 * @copyright 2011, ShopSEO.de
 * @link http://www.shopseo.de
 * @version 1.01
 *-------------------------------------------------------------------------------
*/

require_once("inc/functions.inc.php");

if(isset($oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_body']) && $oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_body'] == "Y") {
	
	if(isset($oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_rootcats']) && $oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_rootcats'] == "Y") {
		$rootCats = true;
	} else {
		$rootCats = false;
	}
	
	$subArr = null;
	if(isset($oPlugin->oPluginEinstellungAssoc_arr['catclasses_substitutions']))
	{
		
		$subArr = getSubstitutionArray($oPlugin->oPluginEinstellungAssoc_arr['catclasses_substitutions']);
	}
	
	// get current page type
	$currentPageType = $smarty->get_template_vars('nSeitenTyp');

	// get brotnavi offset, depends on page type
	$offset = 1;
	if($currentPageType == 1) {
		$offset = 2;
	}

	// use brotnavi to get categories names
	$className = "";
	$brotNavi = $smarty->get_template_vars('Brotnavi');

	//only root categories
	if($rootCats == true) {
		$oBrotNavi = $brotNavi[1];
		$className .= getCleanString($oBrotNavi->name, $subArr) . " ";
	} else {
		$brotNaviSize = count($brotNavi);
		for($i = $brotNaviSize-$offset; $i>0; $i--) {
			$oBrotNavi = $brotNavi[$i];
			$className .= getCleanString($oBrotNavi->name, $subArr) . " ";
		}
	}
	// add to body class
	pq('body')->addClass($className);
}

// write to category list
if(isset($oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_nav']) && $oPlugin->oPluginEinstellungAssoc_arr['catclasses_write_nav'] == "Y") {
	
	foreach(pq('ul.categories > li') as $elem) {
		writeCatClassesNavi($elem, $rootCats, $subArr);
	}
}
?>
